Subject: [Sip] Issue 4 in draft-ietf-sip-connected-identity-00.txt

From: "Elwell, John" <[email-masked]>
Date: Tue, 02 May 2006 21:23:30 +0100

The fourth issue is not actually in draft-00 but was raised subsequently. If
a UA supports a change of From header field URI mid-dialog, as indicated by
the "id-change" option tag, we could mandate that it also support the SIP
UPDATE method. Then the peer UA in a dialog would be free to use the UPDATE
method to report connected identity, rather than the less suitable re-INVITE
method. The use of UPDATE means 2 messages instead of 3 and avoids the need
for an offer-answer exchange. I heard no objections when this was proposed a
few days ago. Do we have consensus?

John

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip